apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: create-new-cluster-guestbook
  namespace: argocd
  labels:
    env: dev
  finalizers:
    - resources-finalizer.argocd.argoproj.io
spec:
  project: default
  syncPolicy:
    automated:
      selfHeal: true
    syncOptions:
      - CreateNamespace=true
  destination:
    name: in-cluster
    namespace: crossplane-system
  source:
    path: stacks/second-cluster/create-new-cluster-guestbook
    repoURL: https://gitea.factory.c-one-infra.de/giteaAdmin/edfbuilder
    targetRevision: HEAD
